#ifndef _STATUS_H_
#define _STATUS_H_

#include <vdr/status.h>
#include <vdr/device.h>
#include <vdr/channels.h>


class cSbStatus : public cStatus
{
private:
	unsigned char bits;
	int channels[MAXDEVICES];
	int recordings[MAXDEVICES];

	bool Fork(void);
protected:
	virtual void ChannelSwitch(const cDevice *Device, int ChannelNumber);
	virtual void Recording(const cDevice *Device, const char *Name);
public:
	cSbStatus();
};

#endif

